%global _name pydbus

Name:           python-%{_name}
Version:        0.6.0
Release:        10
Summary:        Pythonic DBus library
License:        LGPLv2+
URL:            https://github.com/LEW21/pydbus
Source0:        https://github.com/LEW21/pydbus/archive/%{_name}-%{version}.tar.gz

Patch1:         0001-make-direction-attribute-conforming-to-introspect.dt.patch
Patch2:         0002-Support-asynchronous-calls-58.patch
Patch3:         0003-Support-transformation-between-D-Bus-errors-and-exce.patch

BuildArch:      noarch

%description
Dbus library for Python.

%if %{with python2}
%package -n python2-%{_name}
Summary:        %{summary} in python2
BuildRequires:  python2-devel python2-setuptools
Requires:       python2-gobject-base
%{?python_provide:%python_provide python2-%{_name}}

%description -n python2-%{_name}
Python2 version of %{summary}.
%endif

%package -n python3-%{_name}
Summary:        %{summary} in python3
BuildRequires:  python3-devel python3-setuptools
Requires:       python3-gobject-base
%{?python_provide:%python_provide python3-%{_name}}

%description -n python3-%{_name}
Python3 version of %{summary}.

%prep
%autosetup -n %{_name}-%{version} -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%if %{with python2}
%files -n python2-%{_name}
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{_name}*info/
%{python2_sitelib}/%{_name}/
%endif

%files -n python3-%{_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{_name}*info/
%{python3_sitelib}/%{_name}/

%changelog
* Tue Dec 31 2019 hanxinke<hanxinke@huawei.com> - 0.6.0-10
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update url and source0 field in spec file

* Sat Oct 19 2019 shenyangyang <shenyangyang4@huawei.com> - 0.6.0-9
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add two patch

* Fri Oct 18 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.6.0-8
- Package init
